uuid: 84217b99-442f-483d-87a0-0a7e0c483a2c
langcode: en
status: true
dependencies:
  config:
    - entity_browser.browser.image_browser
    - field.field.paragraph.bp_block.bp_background
    - field.field.paragraph.bp_block.bp_block
    - field.field.paragraph.bp_block.bp_gutter
    - field.field.paragraph.bp_block.bp_image_field
    - field.field.paragraph.bp_block.bp_title
    - field.field.paragraph.bp_block.bp_title_status
    - field.field.paragraph.bp_block.bp_width
    - field.field.paragraph.bp_block.field_bp_classes
    - paragraphs.paragraphs_type.bp_block
  module:
    - advanced_text_formatter
    - entity_browser
    - field_group
    - maxlength
third_party_settings:
  field_group:
    group_advanced:
      children:
        - bp_width
        - bp_background
        - bp_image_field
        - field_bp_classes
      label: 'Styling settings'
      region: content
      parent_name: ''
      weight: 2
      format_type: details
      format_settings:
        classes: ''
        id: styling-settings
        open: false
        required_fields: true
    group_title:
      children:
        - bp_title
        - bp_title_status
      label: 'Component title'
      region: content
      parent_name: ''
      weight: 0
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: false
        description: ''
        required_fields: false
_core:
  default_config_hash: wGA-QDiLvwnYNAr-tMH0DG7SeIsbFX5Ur1luD7lTdME
id: paragraph.bp_block.default
targetEntityType: paragraph
bundle: bp_block
mode: default
content:
  bp_background:
    type: options_buttons
    weight: 23
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_block:
    type: options_select
    weight: 1
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_image_field:
    type: entity_browser_entity_reference
    weight: 24
    region: content
    settings:
      entity_browser: image_browser
      field_widget_display: rendered_entity
      field_widget_edit: true
      field_widget_remove: true
      field_widget_replace: false
      open: true
      field_widget_display_settings:
        view_mode: field_preview
      selection_mode: selection_append
    third_party_settings: {  }
  bp_title:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings:
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
  bp_title_status:
    type: boolean_checkbox
    weight: 2
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  bp_width:
    type: options_buttons
    weight: 21
    region: content
    settings: {  }
    third_party_settings: {  }
  field_bp_classes:
    type: options_select
    weight: 25
    region: content
    settings: {  }
    third_party_settings: {  }
  translation:
    weight: 3
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  bp_gutter: true
  created: true
  status: true
  uid: true
